"""
    Very simple display routine, using awt.
    taken from the jython Demo

    display the 1D buffer in an awt window
    (remember we are running under java)

    resize the window to force a redraw

"""
from pawt import swing, awt
from math import *
from jarray import array
import NPK
import pawt
#import swing

class Graph(awt.Canvas):
    def __init__(self):
        self.function = None

    def paint(self, g):
        sz = self.size
        xscale = float(sz.width)/NPK.get_si1_1d()
        yoffset = sz.height/2.0
        xs = []
        ys = []
        NPK.com_max()
#        yscale=-sz.height/100.0
        yscale = -0.5*sz.height/max(fabs(NPK.geta_max(0)),fabs(NPK.geta_max(1)))
        for x in range(1, NPK.get_si1_1d()+1,NPK.get_itype_1d()+1):
            xx = x
            yy = NPK.val1d(xx)
            y = yscale*NPK.val1d(x) + yoffset
            x = xscale*x
#            print 'x,y : dx,dy', xx, yy, x, y
            xs.append(int(x))
            ys.append(int(y))
        g.drawPolyline(array(xs, 'i'), array(ys, 'i'), len(xs))

p = awt.Panel(layout=awt.BorderLayout())
graph = Graph()
p.add(graph, 'Center')

pawt.test(p, size=(600,300))

